<?php
namespace wcf\system\menu\user\profile\content;
use wcf\data\user\User;
use wcf\system\WCF;
use wcf\system\SingletonFactory;

/**
 * Zeigt die eBay Auktionen in einem extra Profil-Tab an
 *
 * @author		PCSG (Jan)
 * @copyright	2015 PCSG
 * @license		GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package		de.pcsg.wcf.myelisting
 * @subpackage	system.menu.user.profile.content
 * @category	Community Framework
 */
class MyelistingUserProfileMenuContent extends SingletonFactory implements IUserProfileMenuContent {

    /**
     * @see	wcf\system\menu\user\profile\content\IUserProfileMenuContent::getContent()
     */

    public $ebayName = "";
    public $isProfileOwner = "";

    public function getContent($userID) {

        $user = new User($userID);

        $visitorID = WCF::getUser()->getUserID();

        if ($userID == $visitorID) {
            $isProfileOwner = true;
        } else {
            $isProfileOwner = false;
        }

        $ebayName = $user->getUserOption('myelisting_ebay_username');

        WCF::getTPL()->assign(array(
            'ebayName' => $ebayName,
            'myelistingIsProfileOwner' => $isProfileOwner
        ));

        return WCF::getTPL()->fetch('myelistingProfileTab');
    }

    /**
     * @see	wcf\system\menu\user\profile\content\IUserProfileMenuContent::isVisible()
     */
    public function isVisible($userID) {

        $user = new User($userID);

        $visitorID = WCF::getUser()->getUserID();

        if ($userID == $visitorID) {
            $isProfileOwner = true;
        } else {
            $isProfileOwner = false;
        }

        $ebayName = $user->getUserOption('myelisting_ebay_username');

        if ( !$isProfileOwner && $ebayName == "") {
            return false;
        } else {
            return true;
        }

    }

}
